#!/bin/bash

#-DEFAULT BASH COMMANDS------------------------------------------------
#terminal colors
CTAG_S="\x1b[1;33m"
CTAG_S_R="\x1b[1;31m"
CTAG_E="\x1b[0m"

#LOCAL VARIABLE
SCRIPT_RESULT=1
SCRIPT_TRUE=0
SCRIPT_FALSE=1

SOURCE_CHECK=`echo $0 | \grep make.sh`

if [ "${#SOURCE_CHECK}" -ge 1 ]; then
BUILDRETURN=exit
else
BUILDRETURN=return
fi

ENV_CHECKVAL=v$LINUX_PLATFORM_OPENSOURCE_BUILD_INSTALL

if [ $ENV_CHECKVAL == "v" ]; then
	
cat <<\_PRINTMSG

--------------------------------------------------------------------------
Notice:
 Can not found specifies build environment. 
 You must do "source [BUILDDIR]/config-build-env" beforce use this shell.
 * BUILD_DIR: specific build directory path
--------------------------------------------------------------------------

_PRINTMSG
$BUILDRETURN $SCRIPT_FALSE
fi

#----------------------------------------------------------------------

if [ $(echo $LINUX_PLATFORM_MAKE_JOBS | \egrep "[0-9]+") -a $LINUX_PLATFORM_MAKE_JOBS -gt 0 -a $LINUX_PLATFORM_MAKE_JOBS -le 32 ]; then
	echo -en "\r\n\r\n"
	echo -en "make using -j$LINUX_PLATFORM_MAKE_JOBS\r\n"
	echo -en "\r\n\r\n"
	make -j$LINUX_PLATFORM_MAKE_JOBS
else
	make
fi
if [ $? -ne 0 ]; then
	echo -en "\r\n\r\n"
	echo -en "${CTAG_S_R}FAILED: $(basename `pwd`) make  ${CTAG_E} \n"
	echo -en "\r\n\r\n"
	$BUILDRETURN $SCRIPT_FALSE
fi

make install DESTDIR=${LINUX_PLATFORM_OPENSOURCE_BUILD_INSTALL} 
if [ $? -ne 0 ]; then
	echo -en "\r\n\r\n"
	echo -en "${CTAG_S_R}FAILED: $(basename `pwd`) make install for opensource build.  ${CTAG_E} \n"
	echo -en "\r\n\r\n"
	$BUILDRETURN $SCRIPT_FALSE
fi

process-opensource-pkgconfig
if [ $? -ne 0 ]; then
	echo -en "\r\n\r\n"
	echo -en "${CTAG_S_R}FAILED: $(basename `pwd`) fake pkgconfig for opensource build.  ${CTAG_E} \n"
	echo -en "\r\n\r\n"
	$BUILDRETURN $SCRIPT_FALSE
fi

make install DESTDIR=${LINUX_PLATFORM_OPENSOURCE_BUILD_TARGET_INSTALL} 
if [ $? -ne 0 ]; then
	echo -en "\r\n\r\n"
	echo -en "${CTAG_S_R}FAILED: $(basename `pwd`) make install to target.  ${CTAG_E} \n"
	echo -en "\r\n\r\n"
	$BUILDRETURN $SCRIPT_FALSE
fi

